CREATE OR REPLACE PACKAGE PKG_POPOLAMENTO_UTILITY IS

  ------------------------------------------------------------------------------
  -- DATA DI CREAZIONE: 02/10/2008
  -- AUTORE: A. CRETI
  -- SCOPO: Utilities per il caricamento dei dati della ragioneria
  ------------------------------------------------------------------------------


  FUNCTION insert_error( p_ERR_CODE      IN NUMBER
  			,p_ERR_MSG       IN VARCHAR2
  			,p_DESCR_MSG     IN VARCHAR2
			,p_NOME_PROCESSO IN VARCHAR2
		       )
  RETURN NUMBER;


  FUNCTION delete_file( p_oracle_dir	IN			VARCHAR2
                       ,p_filename	IN 			VARCHAR2
                      )
  RETURN NUMBER;
  
  PROCEDURE invia_email
  (
	  p_oggetto VARCHAR2, 
	  p_messaggio VARCHAR2
  );  
  
  FUNCTION F_GET_COMBO_CO_SETTORI_SPESA
  ( 
    a_name        IN VARCHAR2,
    a_id_selected IN VARCHAR2
  )
  RETURN  VARCHAR2;  

FUNCTION F_GET_COMBO_CO_UPB_SETTORI
( a_name        IN VARCHAR2,
  a_id_selected IN VARCHAR2  
)  
  RETURN  VARCHAR2; 

  
FUNCTION F_GET_COMBO_CO_ANNI_CAPITOLI
( a_name        IN VARCHAR2,
  a_id_selected IN VARCHAR2
)
RETURN  VARCHAR2;  
  
FUNCTION F_GET_COMBO_CO_ANNI_X_SETTORE
( a_name        IN VARCHAR2,
  a_id_selected IN VARCHAR2,
  a_id_settore  IN NUMBER
)
RETURN  VARCHAR2;  
  
-- LISTA DEI TITOLI PRESENTI ALL'INTERNO DI UN CAPITOLO
-- SONO SOLO 2, MA POTREBBERO CRESCERE.
FUNCTION F_GET_TITOLI
( a_name        IN VARCHAR2,
  a_id_selected IN VARCHAR2,
  a_descrizione OUT VARCHAR2  
)
RETURN  VARCHAR2;

FUNCTION F_GET_DEST
( a_name        IN VARCHAR2,
  a_id_selected IN VARCHAR2,
  a_descrizione OUT VARCHAR2
)
RETURN  VARCHAR2;  
  
    
	
FUNCTION F_TOTALE_IMPEGNATO_COMP
( p_id_co_capitolo IN NUMBER )
RETURN NUMBER;

FUNCTION F_DISPONIBILITA_COMP
( p_id_co_capitolo IN NUMBER )
RETURN NUMBER;

FUNCTION F_RESIDUO_ATTUALE_RS
( p_id_co_capitolo IN NUMBER )
RETURN NUMBER;

FUNCTION F_TOTALE_IMPEGNATO_RS
( p_id_co_capitolo IN NUMBER )
RETURN NUMBER;

FUNCTION F_DISPONIBILITA_RESIDUO_RS
( p_id_co_capitolo IN NUMBER )
RETURN NUMBER;

FUNCTION F_RESIDUO_ATTUALE_PER_ANNO
( 
    p_id_co_capitolo IN NUMBER,
	p_anno           IN NUMBER 
)
RETURN NUMBER;

FUNCTION F_DISP_RESIDUO_PER_ANNO
( 
    p_id_co_capitolo IN NUMBER,
    p_anno           IN NUMBER 
)
RETURN NUMBER;

FUNCTION F_DISP_A_LIQUIDARE
( 
    p_id_co_impegno  IN NUMBER 
)
RETURN NUMBER;


-------------------------------------------------------------------------
-- SERVE A MONITORARE LE SCADENZE SUI RESIDUI PASSIVI                  --
-- INDICANDONE LA DISPONIBILITA' PRIMA CHE QUESTI VADANO IN PERENZIONE --
-------------------------------------------------------------------------
FUNCTION F_DISP_R_PASS_X_ANNO
( 
    p_id_co_capitolo IN NUMBER,
    p_anno           IN NUMBER 
)
RETURN NUMBER;

FUNCTION F_GET_COMBO_ANNI_RES_PASSIVI
( a_name        IN VARCHAR2,
  a_id_selected IN VARCHAR2
)
RETURN  VARCHAR2;

FUNCTION F_GET_COMBO_ANNI_RES_PASS_SETT
( a_name        IN VARCHAR2,
  a_id_selected IN VARCHAR2,
  a_id_settore  IN NUMBER
)
RETURN  VARCHAR2;

FUNCTION F_GET_COMBO_ANNI_ESERCIZIO
( a_name        IN VARCHAR2,
  a_id_selected IN VARCHAR2
)
RETURN  VARCHAR2;

FUNCTION F_DISPONIBILITA_EV
( 
    p_id_co_capitolo  IN NUMBER
)
RETURN NUMBER;


FUNCTION F_SETTORE_FOGLIA
( 
	p_id_settore   IN NUMBER
)
RETURN NUMBER;

FUNCTION F_CAPITOLO_ATTRIBUITO
( 
	p_id_settore    IN NUMBER,
	p_id_capitolo   IN NUMBER
)
RETURN NUMBER;

FUNCTION F_GET_COMBO_ATTRIB_CAPITOLI
( 
  p_anno        IN NUMBER,
  a_name        IN VARCHAR2,
  a_id_selected IN VARCHAR2
)
RETURN  VARCHAR2
;
	
END PKG_POPOLAMENTO_UTILITY;
/

